yaml-0.8.22: Support for parsing and rendering YAML documents.

Safe Haskell | None
Language | Haskell98

Data.Yaml.Pretty

Description

Prettier YAML encoding.

Since 0.8.13

Synopsis

- encodePretty :: ToJSON a => Config -> a -> ByteString
- data Config
- getConfCompare :: Config -> Text -> Text -> Ordering
- setConfCompare :: (Text -> Text -> Ordering) -> Config -> Config
- defConfig :: Config

# Documentation

encodePretty :: ToJSON a => Config -> a -> ByteString #

Configurable `encode`.

Since 0.8.13

data Config #

Since 0.8.13

getConfCompare :: Config -> Text -> Text -> Ordering #

Since 0.8.13

setConfCompare :: (Text -> Text -> Ordering) -> Config -> Config #

Since 0.8.13

defConfig :: Config #

The default configuration: do not sort objects.

Since 0.8.13